Name: gpm
Version: 1.20.1
Release: alt0.6rc1

%define versionrc 1.20.1rc1

Summary: A mouse server for the Linux console
License: GPL
Group: System/Servers
Packager: GPM Development Team <gpm@packages.altlinux.org>

Source: ftp://arcana.linux.it/pub/%name/%name-%versionrc.tar.bz2
Source1: %name.init

Patch1: %name-1.19.3-alt-texinfo.patch
Patch2: %name-1.20.1rc1-alt-fix-abi.patch
Patch3: %name-1.20.1rc1-alt-pam_console_apply.patch
Patch4: %name-1.20.1rc1-owl-gpm-root.patch
Patch5: %name-1.20.1rc1-owl-liblow.patch
Patch6: %name-1.20.1rc1-owl-warnings.patch
Patch7: %name-1.20.1rc1-alt-netmouse.patch
Patch8: %name-1.20.1rc1-alt-syslog.patch
Patch9: %name-1.20.1rc1-alt-shlib.patch
Patch10: %name-1.20.1rc1-alt-fix-get_console.patch
Patch11: %name-1.20.1rc1-alt-nodebug.patch
Patch12: %name-1.20.1rc1-deb-alt-xterm_mouse_support.patch

Requires(post,preun): chkconfig, %__install_info

BuildPreReq: autoconf = 2.13, /usr/bin/mksock

# Automatically added by buildreq on Wed Jul 17 2002
BuildRequires: XFree86-libs XFree86-locales Xaw3d emacs-common emacsen-startscripts ispell-en libncurses-devel libtinfo-devel tetex-dvips xpm

%package -n lib%name
Summary: Shared library for running mouse driven programs
Group: System/Libraries
Provides: %name-lib = %version
Obsoletes: %name-lib

%package -n lib%name-devel
Summary: Include files for developing mouse driven programs
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel = %version
Obsoletes: %name-devel

%package -n lib%name-devel-static
Summary: Static library for developing static mouse driven programs
Group: Development/C
Requires: lib%name-devel = %version-%release

%description
Gpm provides mouse support to text-based Linux applications like the
emacs editor, the Midnight Commander file management system, and other
programs.  Gpm also provides console cut-and-paste operations using
the mouse and includes a program to allow pop-up menus to appear at
the click of a mouse button.

Gpm should be installed if you intend to use a mouse with your
%distribution system.

%description -n lib%name
The lib%name package contains the shared library needed for running
mouse driven programs.

%description -n lib%name-devel
The lib%name-devel package contains the include files needed
for development of mouse driven programs.  This package allows you to
develop text-mode programs which use the mouse.

%description -n lib%name-devel-static
The lib%name-devel-static package contains the static library for
development of statically linked mouse driven programs. This package
allows you to develop text-mode statically linked programs which use
the mouse.

%package root
Summary: A mouse server add-on which draws pop-up menus on the console
Group: System/Servers
Requires: %name = %version-%release

%description root
The gpm-root program allows pop-up menus to appear on a text console
at the click of a mouse button.

%prep
%setup -q -n gpm-cvs
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
find -type f -name \*.y |while read f; do
	%__rm -fv "${f%.y}.c"
done
# emacs stuff needs to be in two places at once...
cp -p contrib/emacs/*.el contrib/

%set_autoconf_version 2.13
aclocal
autoheader
autoconf

%add_optflags -D_GNU_SOURCE
%configure
# SMP-incompatible build.
%make

%install
mkdir -p $RPM_BUILD_ROOT/dev

%makeinstall lispdir=$RPM_BUILD_ROOT%_datadir/emacs/site-lisp
chmod 755 $RPM_BUILD_ROOT%_libdir/*.so*

install -p -m644 doc/%name-root.1 $RPM_BUILD_ROOT%_man1dir/
install -p -m644 conf/%name-root.conf $RPM_BUILD_ROOT%_sysconfdir/
install -p -m755 src/hltest $RPM_BUILD_ROOT%_bindir/

install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/%name

/usr/bin/mksock $RPM_BUILD_ROOT/dev/gpmctl

bzip2 -9 ChangeLog ||:

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post
%post_service %name
%install_info %name.info

%preun
%preun_service %name
%uninstall_info %name.info

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*

%files -n lib%name-devel-static
%_libdir/*.a

%files
%config(noreplace) %_initdir/%name
%ghost %attr(600,root,root) %verify(not user) /dev/gpmctl
%_bindir/*
%_sbindir/%name
%_datadir/emacs/site-lisp/*
%_man1dir/mev.1*
%_man1dir/mouse-test.1*
%_man7dir/*
%_man8dir/*
%_infodir/*.info*
%doc ChangeLog* doc/FAQ README TODO BUGS doc/README.* doc/Announce

%files root
%config(noreplace) %_sysconfdir/%name-root.conf
%_sbindir/gpm-root
%_man1dir/gpm-root.1*

%changelog
* Sun Oct 27 2002 Dmitry V. Levin <ldv@altlinux.org> 1.20.1-alt0.6rc1
- Fixed libgpm in linux console (#0001116).

* Sat Oct 26 2002 Dmitry V. Levin <ldv@altlinux.org> 1.20.1-alt0.5rc1
- Regenerate configure & co., to fix xterm problem (#0001086).

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.20.1-alt0.4rc1
- Rebuilt in new environment

* Thu Jul 18 2002 Dmitry V. Levin <ldv@altlinux.org> 1.20.1-alt0.3rc1
- Added /dev/gpmctl to files list.
- Added call to /sbin/pam_console_apply at the gpm startup (#0001116).
- Better detection of if this is an xterm-like terminal with mouse
  support, based on patch by Oskar Liljeblad (#0001086).
  Unfortunately, libgpm still looks like dirty hack.
- Disabled debugging in libgpm for a while.

* Wed Jul 17 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.20.1-alt0.2rc1
- Restored fields order in struct Gpm_Event to avoid ABI change.

* Tue Jul 09 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.20.1-alt0.1rc1
- 1.20.1rc1
- Fixed some patches and removed applied in source
- Fixed init script
- Rewrited syslog patch
- Fixed Genius Netmouse buttons detect code

* Mon Jul 01 2002 Dmitry V. Levin <ldv@altlinux.org> 1.19.6-alt3
- Relocated shared libraries back to %_libdir/:
  reverted first relocation made in 1.19.2-ipl2mdk (no need).
- Patched to avoid linking with termcap and curses libraries.

* Fri Jan 25 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.19.6-alt2
- Explicitly disabled SMP build.

* Mon Dec 10 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.19.6-alt1
- 1.19.6
- Imported some patches from Owl
- Added more documentation
- Added syslog patch
- Added gpm-root package

* Thu Oct 11 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.19.4-alt2
- Add -lpp patch

* Mon Sep 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.19.4-alt1
- 1.19.4
- Fixed descriptions.
- Fixed interpackage requires.
- Updated buildrequires.

* Fri May 25 2001 Stanislav Ievlev <inger@altlinux.ru> 1.19.3-ipl5mdk
- Rebuild to use new macros post_service and preun_service

* Mon May 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.19.3-ipl4mdk
- Closing sockets cleanup (closeall patch in Owl style).
- Moved static library to devel-static subpackage.

* Sat Jan 13 2001 Dmitry V. Levin <ldv@fandra.org> 1.19.3-ipl3mdk
- Renamed subpackages.
- Create tmpfiles in more secure way.
- Fix some compilation warnings.

* Wed Nov 22 2000 Dmitry V. Levin <ldv@fandra.org> 1.19.3-ipl2mdk
- Fixed makefile (ldconfig patch).
- Fixed texinfo documentation.

* Tue Oct 17 2000 Dmitry V. Levin <ldv@fandra.org> 1.19.3-ipl1mdk
- 1.19.3

* Wed Aug  2 2000 Dmitry V. Levin <ldv@fandra.org> 1.19.2-ipl3mdk
- Merged RH & MDK security patches.
- Use FHS-compatible macros.

* Tue Jun 13 2000 Dmitry V. Levin <ldv@fandra.org> 1.19.2-ipl2mdk
- Moved shared libraries into /lib, and split out lib subpackage.

* Tue Apr 25 2000 Dmitry V. Levin <ldv@fandra.org> 1.19.2-ipl1mdk
- 1.19.2

* Thu Apr 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.19.1-2mdk
- Correct groups.

* Thu Apr 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.19.1-1mdk
- Add security patch for gpm-root by redhat.
- gpm.init cleanup.
- 1.19.1
- Update groups.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- And a relifting for spec.

* Wed Sep 15 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.18.0 final : WizardPad procotol and older Synaptics PS/2 touchpads
                 are now supported, gpm allows the touchpad
                 to be ignored if unplugged, and some other changes.

* Thu Aug 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix typo in gpm.init (#59).
- Fix building as user.

* Sun Aug  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 1.17.9

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- fix really stupid type-o (whats sleep?)

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- inc %release just to be safe

* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- test for /sbin/install-info just incase it's not there

* Sat Jul  3 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- moved gpm-root.conf from /etc to /usr/etc so it actualy works

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch for the texinfo (new syntax ?).

* Sun Apr 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 1.17.7
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Thu Mar  4 1999 Matt Wilson <msw@redhat.com>
- updated to 1.17.5

* Tue Feb 16 1999 Cristian Gafton <gafton@redhat.com>
- avoid using makedev for internal functions (it is a #define in the system
  headers)

* Wed Jan 13 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 1.17.2.

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- enforce the use of -D_GNU_SOURCE so that it will compile on the ARM
- build against glibc 2.1

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- recompiled for manhattan

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 1.13

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added patch from Richard to get things to build on the SPARC

* Tue Oct 28 1997 Donnie Barnes <djb@redhat.com>
- fixed the emacs patch to install the emacs files in the right
  place (hopefully).

* Mon Oct 13 1997 Erik Troan <ewt@redhat.com>
- added chkconfig support
- added install-info

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>
- upgraded from 1.10 to 1.12
- added status/restart functionality to init script
- added define LIBVER 1.11

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
